org.apache.tinkerpop.gremlin.structure.io.graphson

## Class ToStringGraphSONSerializer

- java.lang.Object
- - org.apache.tinkerpop.shaded.jackson.databind.JsonSerializer<T>
  - - org.apache.tinkerpop.shaded.jackson.databind.ser.std.StdSerializer<Object>
    - - org.apache.tinkerpop.shaded.jackson.databind.ser.std.ToStringSerializerBase
      - - org.apache.tinkerpop.shaded.jackson.databind.ser.std.ToStringSerializer
        - - org.apache.tinkerpop.gremlin.structure.io.graphson.ToStringGraphSONSerializer

- All Implemented Interfaces:
    Serializable, org.apache.tinkerpop.shaded.jackson.databind.jsonFormatVisitors.JsonFormatVisitable, org.apache.tinkerpop.shaded.jackson.databind.jsonschema.SchemaAware

      public class ToStringGraphSONSerializer
      extends org.apache.tinkerpop.shaded.jackson.databind.ser.std.ToStringSerializer

  A different implementation of the `ToStringSerializer` that does not serialize types by calling `typeSerializer.writeTypePrefixForScalar()` for unknown objects, because it doesn't make sense when there is a custom types mechanism in place.
  Author:
    Kevin Gallardo (https://kgdo.me)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.shaded.jackson.databind.JsonSerializer

      `org.apache.tinkerpop.shaded.jackson.databind.JsonSerializer.None`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.shaded.jackson.databind.ser.std.ToStringSerializer

      `instance`

    - ### Fields inherited from class org.apache.tinkerpop.shaded.jackson.databind.ser.std.StdSerializer

      `_handledType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ToStringGraphSONSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `serializeWithType(Object value, org.apache.tinkerpop.shaded.jackson.core.JsonGenerator gen, org.apache.tinkerpop.shaded.jackson.databind.SerializerProvider provider, org.apache.tinkerpop.shaded.jackson.databind.jsontype.TypeSerializer typeSer)`

    - ### Methods inherited from class org.apache.tinkerpop.shaded.jackson.databind.ser.std.ToStringSerializer

      `valueToString`

    - ### Methods inherited from class org.apache.tinkerpop.shaded.jackson.databind.ser.std.ToStringSerializerBase

      `acceptJsonFormatVisitor, getSchema, isEmpty, serialize`

    - ### Methods inherited from class org.apache.tinkerpop.shaded.jackson.databind.ser.std.StdSerializer

      `_neitherNull, _nonEmpty, createSchemaNode, createSchemaNode, findAnnotatedContentSerializer, findContextualConvertingSerializer, findConvertingContentSerializer, findFormatFeature, findFormatOverrides, findIncludeOverrides, findPropertyFilter, getSchema, handledType, isDefaultSerializer, visitArrayFormat, visitArrayFormat, visitFloatFormat, visitIntFormat, visitIntFormat, visitStringFormat, visitStringFormat, wrapAndThrow, wrapAndThrow`

    - ### Methods inherited from class org.apache.tinkerpop.shaded.jackson.databind.JsonSerializer

      `getDelegatee, isEmpty, isUnwrappingSerializer, properties, replaceDelegatee, unwrappingSerializer, usesObjectId, withFilterId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ToStringGraphSONSerializer

          public ToStringGraphSONSerializer()

  - ### Method Detail

    - #### serializeWithType

          public void serializeWithType(Object value,
                                        org.apache.tinkerpop.shaded.jackson.core.JsonGenerator gen,
                                        org.apache.tinkerpop.shaded.jackson.databind.SerializerProvider provider,
                                        org.apache.tinkerpop.shaded.jackson.databind.jsontype.TypeSerializer typeSer)
                                 throws IOException

      Overrides:
        `serializeWithType` in class `org.apache.tinkerpop.shaded.jackson.databind.ser.std.ToStringSerializerBase`
      Throws:
        `IOException`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.